package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.SendMessage;
import com.tzld.piaoquan.growth.common.model.po.SendMessageExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Mapper
@Repository
public interface SendMessageMapper {
    long countByExample(SendMessageExample example);

    int deleteByExample(SendMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SendMessage record);

    int insertSelective(SendMessage record);

    List<SendMessage> selectByExample(SendMessageExample example);

    SendMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SendMessage record, @Param("example") SendMessageExample example);

    int updateByExample(@Param("record") SendMessage record, @Param("example") SendMessageExample example);

    int updateByPrimaryKeySelective(SendMessage record);

    int updateByPrimaryKey(SendMessage record);

    void insertList(@Param("list") List<SendMessage> list);

    List<SendMessage> getGroupList(@Param("createTime") Date createTime, @Param("isSend") Integer isSend);

    List<String> selectExternalUserId(@Param("record") SendMessage record);

}